Projects

Create a new project

POST
/project

Creates a new project for the authenticated user. A user cannot have more than one project with the same project_name.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Request Body

application/json
  1. body
project_name?|

Name of the project to be created.

Defaultnull

Response Body

Successful Response

application/json
  1. response
project_id*Project Id

Project identifier.

project_name*Project Name

Human-friendly name of the project. Will be same as project_id (random UUIDv4) if not provided during creation.

curl -X POST "https://example.com/project" \  -H "Content-Type: application/json" \  -d '{}'
{  "project_id": "string",  "project_name": "string"}